.App {
  text-align: center;
  font-family: Arial, sans-serif;
  margin-top: 20px;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.nav{
  background-color: #007bff;
  color: white;
  padding: 10px;
}

.nav ul li a{
  color:white;
  text-decoration: none;
  margin-right: 20px;
  transition: color 0.3s;
}

.nav ul li a:hover{
  color: brown;
}

.nav ul{
  list-style: none;
  padding: 0;
}

.nav li {
  display: inline;
  margin-right: 20px;
}

.nav a{
  text-decoration: none;
  color: white;
}

/* Contract form */

.contract-form {
  width: 50%;
  margin: 20px auto 0;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.form-group {
  margin-bottom: 10px;
}

.form-group label{
  display: block;
  font-weight: bold;
}

.form-group input[type="text"],
.form-group input[type="date"],
.form-group textarea{
  width:100%;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 3px;
  margin-top: 4px;
  box-sizing: border-box;
}

.contract-form button{
  background-color: #b300ff;
  color: white;
  border: none;
  border-radius: 3px;
  padding: 10px 20px;
  cursor: pointer;
  margin-top: 10px;
}

.contract-form button:hover{
  background-color: rgb(109, 38, 153);
}

.contracts-list{
  margin: 20px;
}

.filter-sort{
  margin-bottom: 10px;
}

.filter-sort label{
  font-weight: bold;
  margin-right: 10px;
  white-space: nowrap;
}

.filter-sort input[type="text"]{
  width: 100px;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 3px;
  font-size: 16px;
}

.filter-sort button{
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 3px;
  padding: 10px 10px;
  cursor: pointer;
  vertical-align: middle;
  margin-top: -3px;
}

.filter-sort button:hover{
  background-color: #0056b3;
}

.filter-sort button span{
  display: inline-block;
  width: auto;
}

.sort-button{
  margin-left: 10px;
}

.sort-button button{
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 3px;
  padding: 5px 10px;
  cursor: pointer;
}

.sort-button button:hover{
  background-color: #0056b3;
}

.list-header{
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
  text-align: center !important;
}

.contract-item{
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 20px;
  margin: 20px 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: relative;
  justify-content: space-between;
}

.contract-item strong{
  font-weight: bold;
  margin-bottom: 5px;
}

.contract-item span{
  border-bottom: 1px solid #ccc;
  display: block;
  margin-bottom: 5px;
  padding-bottom: 5px;
  width: 100%;
  text-align: left;
}

.delete-button{
  background-color: rgb(131, 11, 25);
  color: #fff;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 5px;
  margin-left: 15px;
}

.delete-button:hover{
  background-color: #ff1a00;
}

.contracts-table{
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
}

.contracts-table th,
.contracts-table td{
  border: 1px solid #ddd;
  padding: 8px;
  text-align: left;
}

.contracts-table th{
  background-color: #f2f2f2;
}

.contracts-table tr:hover{
  background-color: #f5f5f5;
}

.edit-button{
  background-color: rgb(11, 131, 25);
  color: #fff;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 5px;
  
}

.edit-delete-container{
  display: flex;
  gap: 10px;
}

.edit-button:hover{
  background-color: #25a727;
}

.save-button{
  background-color: rgba(34, 51, 79, 0.427);
  color: #fff;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 5px;
}

.input-with-icon{
  display: flex;
  align-items: center;
}

.input-with-icon input,
.input-with-icon textarea{
  flex: 1;
  box-sizing: border-box;
}

.required{
  color: red;
  margin-left: 5px;
}

.required-description{
  color: red;
  margin-top: 5px;
  font-size: 14px;
}